> For the complete documentation index, see [llms.txt](https://help.tahua.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.tahua.io/knowledge-base/integrations-help-guides/api-access/api-reference/registration-entities.md).

# Registration Entities

Registration entities represent applicant organisations or individuals registered in the system.

## GET /api/v2/registration\_entities

Returns a list of registration entities.

### Query Parameters

| Parameter | Type    | Description                                    |
| --------- | ------- | ---------------------------------------------- |
| `limit`   | integer | Results per page (default: 50, max: 50)        |
| `gt`      | integer | Return records with ID greater than this value |
| `lt`      | integer | Return records with ID less than this value    |

### Response Properties

| Property                 | Type     | Description                      |
| ------------------------ | -------- | -------------------------------- |
| `id`                     | integer  | Unique identifier                |
| `created_at`             | datetime | When the record was created      |
| `updated_at`             | datetime | When the record was last updated |
| `name`                   | string   | Entity name                      |
| `registration_type.id`   | integer  | Registration type ID             |
| `registration_type.name` | string   | Registration type name           |

### Example Request

```bash
curl -H "Authorization: Bearer YOUR_TOKEN" \
  "https://your-org.tahua.io/api/v2/registration_entities"
```

### Example Response

```json
[
  {
    "id": 12,
    "created_at": "2024-06-01T08:00:00.000Z",
    "updated_at": "2025-01-15T10:30:00.000Z",
    "name": "Example Community Trust",
    "registration_type": {
      "id": 1,
      "name": "Organisation"
    }
  }
]
```

***

## GET /api/v2/registration\_entities/:id

Returns a single registration entity with its associated users.

### Additional Response Properties

All properties from the list endpoint, plus:

| Property             | Type    | Description        |
| -------------------- | ------- | ------------------ |
| `users[].id`         | integer | User ID            |
| `users[].email`      | string  | User email address |
| `users[].first_name` | string  | User first name    |
| `users[].last_name`  | string  | User last name     |

### Example Request

```bash
curl -H "Authorization: Bearer YOUR_TOKEN" \
  "https://your-org.tahua.io/api/v2/registration_entities/12"
```

### Example Response

```json
{
  "id": 12,
  "created_at": "2024-06-01T08:00:00.000Z",
  "updated_at": "2025-01-15T10:30:00.000Z",
  "name": "Example Community Trust",
  "registration_type": {
    "id": 1,
    "name": "Organisation"
  },
  "users": [
    {
      "id": 7,
      "email": "jane@example.org",
      "first_name": "Jane",
      "last_name": "Smith"
    }
  ]
}
```
